<template>
  <div class="items_title">
    <div class="comm_main">
      <span class="items_title_txt">{{ title }}</span>
      <span class="tags_ct" v-if="with_tag">
        <div class="tag_item" v-for="item in motions.status_list" v-bind:class="{'tag_item_selected': item.status == motions.status}" @click="update_status_and_reload(item.status)">
          {{ lang.data[item.text] }}
        </div>
        <!-- <div class="tag_item">审批中</div>
        <div class="tag_item">公示中</div>
        <div class="tag_item">执行中</div>
        <div class="tag_item">已完成</div> -->
      </span>
    </div>
  </div>
</template>
<script>
import { mapActions, mapState, mapMutations, mapGetters } from 'vuex';
import { lang } from '../lang'
export default {

  data () {
    return {
      lang
    }
  },

  props: {
    title: {
      type: String,
      default () {
        return lang.data['最新提案']
      }
    },
    with_tag: {
      type: Boolean,
      default () {
        return false;
      }
    }
  },

  computed: {
    motions () {
      return this.account_info.motions;
    },
    ...mapState(['account_info'])
  },

  methods: {
    update_status_and_reload (status) {
      this.reset_motions(status);
      this.query_motions();
    },
    ...mapMutations({
      'reset_motions': 'reset_motions'
    }),
    ...mapActions({
      query_motions: 'query_motions'
    })
  }

}
</script>
<style lang="stylus" scoped="true">
.items_title .comm_main
  @media (max-width: 800px)
    flex-wrap wrap
    height auto

.items_title_txt
  @media (max-width: 800px)
    width 100px
    white-space nowrap
    padding-top 10px
    padding-bottom 10px

.items_title .tags_ct
  @media (max-width: 800px)
    width 100%
    overflow-y scroll
    padding 0px
    margin 0px

.items_title .tags_ct .tag_item_selected
  @media (max-width: 800px)
    background-color #eee

.items_title .tags_ct .tag_item
  @media (max-width: 800px)
    padding 10px 10px
    width 100%
    white-space nowrap
    text-align center
</style>